Index: trunk/LMDZ.MARS/libf/phymars/newcondens.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1543)
@@ -8,5 +8,5 @@
        use tracer_mod, only: noms
        use surfdat_h, only: emissiv, phisfi
-       use comgeomphy, only: latitude ! grid point latitudes (rad)
+       use geometry_mod, only: latitude ! grid point latitudes (rad)
        use planete_h
        USE comcstfi_h
Index: trunk/LMDZ.MARS/libf/phymars/phyredem.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/phyredem.F90	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/phyredem.F90	(revision 1543)
@@ -14,5 +14,5 @@
   use infotrac, only: nqtot, tname
   use comsoil_h, only: inertiedat, volcapa, mlayer
-  use comgeomphy, only: cell_area
+  use geometry_mod, only: cell_area
   use surfdat_h, only: zmea, zstd, zsig, zgam, zthe, &
                        z0_default, albedice, emisice, emissiv, &
Index: trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1543)
@@ -15,5 +15,5 @@
       use comsoil_h, only: inertiedat, ! soil thermal inertia
      &                     tsoil, nsoilmx ! number of subsurface layers
-      use comgeomphy, only: longitude, latitude, cell_area
+      use geometry_mod, only: longitude, latitude, cell_area
       use comgeomfi_h, only: sinlon, coslon, sinlat, coslat
       use surfdat_h, only: phisfi, albedodat, zmea, zstd, zsig, zgam,
Index: trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 1543)
@@ -4,5 +4,5 @@
 
 use netcdf
-use comgeomphy, only: latitude, longitude ! in radians
+use geometry_mod, only: latitude, longitude ! in radians
 implicit none
 
Index: trunk/LMDZ.MARS/libf/phymars/surfini.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/surfini.F	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/surfini.F	(revision 1543)
@@ -4,5 +4,5 @@
       use netcdf
       use tracer_mod, only: nqmx, noms
-      use comgeomphy, only: longitude, latitude ! in radians
+      use geometry_mod, only: longitude, latitude ! in radians
       use surfdat_h, only: watercaptag, frost_albedo_threshold,
      &                     albedo_h2o_ice, inert_h2o_ice, albedodat,
Index: trunk/LMDZ.MARS/libf/phymars/tabfi.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/tabfi.F	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/tabfi.F	(revision 1543)
@@ -56,5 +56,5 @@
       implicit none
  
-#include "netcdf.inc"
+      include "netcdf.inc"
 
 c-----------------------------------------------------------------------
@@ -148,19 +148,4 @@
 c Read 'controle' array
 c
-!      ierr = NF_INQ_VARID (nid, "controle", nvarid)
-!      IF (ierr .NE. NF_NOERR) THEN
-!         PRINT*, "Tabfi: Could not find <controle> data"
-!         CALL abort
-!      ENDIF
-!#ifdef NC_DOUBLE
-!      ierr = NF_GET_VAR_DOUBLE(nid, nvarid, tab_cntrl)
-!#else
-!      ierr = NF_GET_VAR_REAL(nid, nvarid, tab_cntrl)
-!#endif
-!      IF (ierr .NE. NF_NOERR) THEN
-!         PRINT*, "Tabfi: Failed reading <controle> array"
-!         CALL abort
-!      ENDIF
-
        call get_var("controle",tab_cntrl,found)
        if (.not.found) then
@@ -173,8 +158,4 @@
 c  Initialization of some physical constants
 c informations on physics grid
-!      if(ngridmx.ne.tab_cntrl(tab0+1)) then
-!         print*,'tabfi: WARNING !!! tab_cntrl(tab0+1).ne.ngridmx'
-!         print*,tab_cntrl(tab0+1),ngridmx
-!      endif
       lmax = nint(tab_cntrl(tab0+2))
       day_ini = tab_cntrl(tab0+3)
Index: trunk/LMDZ.MARS/libf/phymars/writediagfi.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/writediagfi.F	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/writediagfi.F	(revision 1543)
@@ -40,5 +40,5 @@
 !=================================================================
       use surfdat_h, only: phisfi
-      use comgeomphy, only: cell_area
+      use geometry_mod, only: cell_area
       use time_phylmdz_mod, only: ecritphy, day_step, iphysiq, day_ini
       USE mod_phys_lmdz_para, only : is_parallel, is_mpi_root,
Index: trunk/LMDZ.MARS/libf/phymars/writediagsoil.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/writediagsoil.F90	(revision 1542)
+++ trunk/LMDZ.MARS/libf/phymars/writediagsoil.F90	(revision 1543)
@@ -13,5 +13,5 @@
 
 use comsoil_h, only: nsoilmx, inertiedat
-use comgeomphy, only: cell_area
+use geometry_mod, only: cell_area
 use time_phylmdz_mod, only: ecritphy, day_step, iphysiq
 use mod_phys_lmdz_para, only : is_mpi_root, is_master, gather
Index: trunk/LMDZ.TITAN/libf/phytitan/calchim.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1543)
@@ -17,5 +17,4 @@
       use common_mod, only:utilaer,maer,prodaer,csn,csh,psurfhaze,
      .                     NLEV,NLRT,NC,ND,NR
-      USE comgeomphy,  only: rlatd
       USE moyzon_mod, only: tmoy,playmoy,zlaymoy,zlevmoy,klat
       use mod_grid_phy_lmdz, only: nbp_lat
Index: trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1543)
@@ -65,5 +65,5 @@
          use dimphy
 c         use radcommon_h, only : volume,rayon,vrat,drayon,dvolume
-         USE comgeomphy,  only: rlatd
+         USE geometry_mod,  only: latitude
 
          IMPLICIT NONE
@@ -235,5 +235,5 @@
 c***************************************************************
         if((IHOR.eq.1)    
-     & .or.(rlatd(IHOR).ne.rlatd(im1))
+     & .or.(latitude(IHOR).ne.latitude(im1))
      & .or.(microfi.eq.2)) then
 c***************************************************************
Index: trunk/LMDZ.TITAN/libf/phytitan/pg2.old
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/pg2.old	(revision 1543)
@@ -42,5 +42,5 @@
 
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: latitude
 #include "dimensions.h"
 #include "microtab.h"
@@ -180,5 +180,5 @@
       lati(1)     = 0.5*RPI
       DO ig=2,ngrid-1
-        lati(ig)  = rlatd(2+(ig-2)*iim)*RPI/180.
+        lati(ig)  = latitude(2+(ig-2)*iim)*RPI/180.
       ENDDO
       lati(ngrid) = -0.5*RPI
@@ -197,9 +197,9 @@
 c     print*,"ENTREE PG2 PREMIER APPEL"
 c     print*,airetot,' airetot?= ',4.*RPI*RA*RA
-c     print*,1,rlatd(1),aire(1),aire(1)/airetot,' aires'
+c     print*,1,latitude(1),aire(1),aire(1)/airetot,' aires'
 c     DO ig=2,ngrid-1
-c     print*,ig,rlatd(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
+c     print*,ig,latitude(2+(ig-2)*iim),aire(ig),aire(ig)/airetot,' aires'
 c     ENDDO
-c     print*,ngrid,rlatd(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
+c     print*,ngrid,latitude(klon),aire(ngrid),aire(ngrid)/airetot,' aires'
 c     stop
       
Index: trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyetat0.F90	(revision 1543)
@@ -13,5 +13,5 @@
       USE iostart
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      USE geometry_mod,  only: latitude,longitude
       USE time_phylmdz_mod, only: itau_phy, raz_date
 
@@ -76,5 +76,5 @@
 
 ! read latitudes
-call get_field("latitude",rlatd,found)
+call get_field("latitude",latitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <latitude> est absent'
@@ -83,5 +83,5 @@
 
 ! read longitudes
-call get_field("longitude",rlond,found)
+call get_field("longitude",longitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <longitude> est absent'
@@ -319,6 +319,6 @@
       resch4(1) = 0.    ! pole nord = 1 point
       DO i=2,klon
-          if ((rlatd(i).ge.75..and.rlatd(i).le.85.).or.  &
-              (rlatd(i).ge.-85.and.rlatd(i).le.-75.)) then
+          if ((latitude(i).ge.75..and.latitude(i).le.85.).or.  &
+              (latitude(i).ge.-85.and.latitude(i).le.-75.)) then
             resch4(i) = 2.
           else
@@ -352,5 +352,5 @@
 
 ! do some more initializations
-call init_iophy_new(rlatd,rlond)
+call init_iophy_new(latitude,longitude)
 
 end subroutine phyetat0
Index: trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1543)
@@ -12,5 +12,5 @@
                           put_var,put_field
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      USE geometry_mod,  only: longitude, latitude
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
 
@@ -64,7 +64,8 @@
 
       CALL put_field("longitude", &
-                     "Longitudes de la grille physique",rlond)
+                     "Longitudes de la grille physique",longitude)
      
-      CALL put_field("latitude","Latitudes de la grille physique",rlatd)
+      CALL put_field("latitude", &
+                     "Latitudes de la grille physique",latitude)
 
 ! variables
Index: trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1543)
@@ -58,5 +58,5 @@
       USE infotrac
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: longitude, latitude, cell_area, dx, dy
       use cpdet_mod, only: cpdet, t2tpot
       USE mod_phys_lmdz_para, only : is_parallel,jj_nb
@@ -678,5 +678,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after dynamic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -685,5 +685,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -726,5 +726,5 @@
       DO k = 1, klev
        DO i = 1, klon
-        omega(i,k) = RG*flxmw(i,k) / airephy(i)
+        omega(i,k) = RG*flxmw(i,k) / cell_area(i)
        END DO
       END DO
@@ -786,5 +786,5 @@
 
        DO i=2,klon
-        if (rlatd(i).ne.rlatd(i-1)) then
+        if (latitude(i).ne.latitude(i-1)) then
          DO l=1,klev
 c         zzlaybar(i,l)=(zphibar(i,l)+zphisbar(i))/RG
@@ -861,8 +861,8 @@
 
 c dans zenang, Ls en degres ; dans mucorr, Ls en radians
-      call mucorr(klon,zls,rlatd,rmu0bar,fractbar)
+      call mucorr(klon,zls,latitude,rmu0bar,fractbar)
       IF (cycle_diurne) THEN
         zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
-        CALL zenang(zlsdeg,gmtime,zdtime,rlatd,rlond,rmu0,fract)
+        CALL zenang(zlsdeg,gmtime,zdtime,latitude,longitude,rmu0,fract)
       ELSE
         rmu0  = rmu0bar
@@ -917,5 +917,5 @@
      $            paprs,pplay,ppk,radsol,falbe,
      e            solsw, sollw, sollwdown, fder,
-     e            rlond, rlatd, cuphy, cvphy,   
+     e            longitude, latitude, dx, dy,   
      e            debut, lafin,
      s            d_t_vdf,d_u_vdf,d_v_vdf,d_ts,
@@ -966,8 +966,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after clmain'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-         call diagphy(airephy,ztit,ip_ebil
+         call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1055,8 +1055,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after dry_adjust'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , zero_v, zero_v, zero_v, zero_v, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1270,8 +1270,8 @@
       IF (if_ebil.ge.2) THEN 
         ztit='after rad'
-        CALL diagetpq(airephy,ztit,ip_ebil,2,2,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,2,2,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, zero_v
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1368,5 +1368,5 @@
 c A ADAPTER POUR VENUS ET TITAN!!!
 c            CALL lift_noro(klon,klev,dtime,paprs,pplay,
-c     e                   rlatd,zmea,zstd,zpic,zgam,zthe,zpic,zval,
+c     e                   latitude,zmea,zstd,zpic,zgam,zthe,zpic,zval,
 c     e                   igwd,idx,itest,
 c     e                   t_seri, u_seri, v_seri,
@@ -1425,5 +1425,5 @@
 c====================================================================
       if (ballons.eq.1) then
-         CALL ballon(30,pdtphys,rjourvrai,gmtime,rlatd,rlond,
+         CALL ballon(30,pdtphys,rjourvrai,gmtime,latitude,longitude,
 c    C               t,pplay,u,v,pphi)   ! alt above surface (smoothed for GCM)
      C               t,pplay,u,v,zphi)   ! alt above planet average radius
@@ -1459,5 +1459,5 @@
       CALL aaam_bud (27,klon,klev,rjourvrai,gmtime,
      C               ra,rg,romega,
-     C               rlatd,rlond,pphis,
+     C               latitude,longitude,pphis,
      C               zustrdr,zustrli,zustrcl,
      C               zvstrdr,zvstrli,zvstrcl,
@@ -1499,5 +1499,5 @@
       IF (if_ebil.ge.1) THEN 
         ztit='after physic'
-        CALL diagetpq(airephy,ztit,ip_ebil,1,1,dtime
+        CALL diagetpq(cell_area,ztit,ip_ebil,1,1,dtime
      e      , t_seri,zero_v2,zero_v2,zero_v2,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
@@ -1506,5 +1506,5 @@
 C     est egale a la variation de la physique au pas de temps precedent.
 C     Donc la somme de ces 2 variations devrait etre nulle.
-        call diagphy(airephy,ztit,ip_ebil
+        call diagphy(cell_area,ztit,ip_ebil
      e      , topsw, toplw, solsw, sollw, sens
      e      , zero_v, zero_v, zero_v, ztsol
@@ -1545,7 +1545,7 @@
 c     DO k = 1, klev
 c     DO i = 1, klon
-c       mang(i,k) = RA*cos(rlatd(i)*RPI/180.)
-c    .     *(u_seri(i,k)+RA*cos(rlatd(i)*RPI/180.)*ROMEGA)
-c    .     *airephy(i)*(paprs(i,k)-paprs(i,k+1))/RG
+c       mang(i,k) = RA*cos(latitude(i)*RPI/180.)
+c    .     *(u_seri(i,k)+RA*cos(latitude(i)*RPI/180.)*ROMEGA)
+c    .     *cell_area(i)*(paprs(i,k)-paprs(i,k+1))/RG
 c       mangtot=mangtot+mang(i,k)
 c     ENDDO
Index: trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1543)
@@ -35,5 +35,4 @@
 c======================================================================
       use dimphy
-      USE comgeomphy
       USE phys_state_var_mod, only: falbe,heat,cool,radsol,
      .      topsw,toplw,solsw,sollw,sollwdown,lwnet,swnet,
Index: trunk/LMDZ.TITAN/libf/phytitan/radtitan.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 1543)
@@ -33,5 +33,5 @@
       USE infotrac
       use dimphy
-      USE comgeomphy
+      USE geometry_mod, ONLY: latitude
       USE optcld, only : iniqcld
       use moyzon_mod, only:plevmoy
@@ -214,5 +214,5 @@
           somcoslat=0.
           do j=1,klon
-	    coslat(j) = cos(rlatd(j)*RPI/180.)
+	    coslat(j) = cos(latitude(j)*RPI/180.)
             somcoslat=somcoslat+coslat(j)
           enddo
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histday.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histday.h	(revision 1543)
@@ -14,5 +14,5 @@
 
       call histwrite_phy(nid_day,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_day,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_day,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histins.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histins.h	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histins.h	(revision 1543)
@@ -14,5 +14,5 @@
 
       call histwrite_phy(nid_ins,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_ins,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_ins,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
Index: trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 1542)
+++ trunk/LMDZ.TITAN/libf/phytitan/write_histmth.h	(revision 1543)
@@ -11,5 +11,5 @@
 
       call histwrite_phy(nid_mth,.false.,"phis",itau_w,pphis)
-      call histwrite_phy(nid_mth,.false.,"aire",itau_w,airephy)
+      call histwrite_phy(nid_mth,.false.,"aire",itau_w,cell_area)
 
 ccccccc axe Ls ... Faudrait le reduire a axe temporel seulement...
Index: trunk/LMDZ.VENUS/libf/phyvenus/clmain.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/clmain.F	(revision 1543)
@@ -11,5 +11,5 @@
      .                  paprs,pplay,ppk,radsol,albe,
      .                  solsw, sollw, sollwdown, fder,
-     .                  rlon, rlat, cufi, cvfi, 
+     .                  rlon, rlat, dx, dy, 
      .                  debut, lafin, 
      .                  d_t,d_u,d_v,d_ts,
@@ -52,6 +52,6 @@
 c radsol---input-R- flux radiatif net (positif vers le sol) en W/m**2
 c rlat-----input-R- latitude en degree
-c cufi-----input-R- resolution des mailles en x (m)
-c cvfi-----input-R- resolution des mailles en y (m)
+c dx-----input-R- resolution des mailles en x (m)
+c dy-----input-R- resolution des mailles en y (m)
 c
 c d_t------output-R- le changement pour "t"
@@ -80,5 +80,5 @@
 ! ADAPTATION GCM POUR CP(T)
       real ppk(klon,klev)
-      REAL rlon(klon), rlat(klon), cufi(klon), cvfi(klon)
+      REAL rlon(klon), rlat(klon), dx(klon), dy(klon)
       REAL d_t(klon, klev)
       REAL d_u(klon, klev), d_v(klon, klev)
@@ -398,5 +398,5 @@
 ! ADAPTATION GCM POUR CP(T)
       CALL clqh(dtime, itap, debut,lafin,
-     e          rlon, rlat, cufi, cvfi,
+     e          rlon, rlat, dx, dy,
      e          knon, 
      e          soil_model, ytsoil,
@@ -465,5 +465,5 @@
 
       SUBROUTINE clqh(dtime,itime, debut,lafin,
-     e                rlon, rlat, cufi, cvfi, 
+     e                rlon, rlat, dx, dy, 
      e                knon, 
      $                soil_model,tsoil,
@@ -510,5 +510,5 @@
       REAL albedo(klon)       ! albedo de la surface
       real rmu0(klon)         ! cosinus de l'angle solaire zenithal
-      real rlon(klon), rlat(klon), cufi(klon), cvfi(klon)
+      real rlon(klon), rlat(klon), dx(klon), dy(klon)
 c
       REAL d_t(klon,klev)     ! incrementation de "t"
@@ -686,5 +686,5 @@
       CALL interfsurf_hq(itime, dtime, rmu0,
      e klon, nbp_lon, nbp_lat-1, knon, 
-     e rlon, rlat, cufi, cvfi, 
+     e rlon, rlat, dx, dy, 
      e debut, lafin, soil_model, nsoilmx,tsoil, 
      e zlev1,  u1lay, v1lay, temp_air, epot_air,  
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/gr_dyn_fi.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/gr_dyn_fi.F	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/gr_dyn_fi.F	(revision 1543)
@@ -1,1 +1,1 @@
-link ../../dynlonlat_phylonlat/gr_dyn_fi.F
+link ../../dynphy_lonlat/gr_dyn_fi.F
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/iniphysiq_mod.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/iniphysiq_mod.F90	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/iniphysiq_mod.F90	(revision 1543)
@@ -1,1 +1,1 @@
-link ../../dynlonlat_phylonlat/phyvenus/iniphysiq_mod.F90
+link ../../dynphy_lonlat/phyvenus/iniphysiq_mod.F90
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/mod_interface_dyn_phys.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/mod_interface_dyn_phys.F90	(revision 1543)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/mod_interface_dyn_phys.F90	(revision 1543)
@@ -0,0 +1,1 @@
+link ../../dynphy_lonlat/mod_interface_dyn_phys.F90
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1543)
@@ -3,5 +3,4 @@
       USE infotrac
       use control_mod, only: planet_type, day_step
-      use comgeomphy
       USE phys_state_var_mod
       use chemparam_mod
@@ -14,5 +13,5 @@
       use conc, only: rho
       USE iniphysiq_mod, ONLY: iniphysiq
-
+      USE mod_const_mpi, ONLY: comm_lmdz
       IMPLICIT NONE
 
@@ -199,5 +198,5 @@
 c   ---------------------------------
 
-      CALL init_phys_lmdz(iim,jjm,llm,1,(/1/))
+!      CALL init_phys_lmdz(iim,jjm,llm,1,(/1/))
 
 c   la surface de chaque maille est inutile en 1D --->
@@ -210,5 +209,7 @@
 c e.g. for cell boundaries, which are meaningless in 1D; so pad these 
 c with '0.' when necessary
-      CALL iniphysiq(1,1,llm,daysec,day0,dtphys,
+      CALL iniphysiq(1,1,llm,
+     &            1,comm_lmdz,
+     &            daysec,day0,dtphys,
      &            (/lati(1),0./),(/0./),
      &            (/0.,0./),(/long(1),0./),
Index: trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/new_cloud_sedim.F	(revision 1543)
@@ -7,5 +7,4 @@
       USE infotrac
       USE dimphy
-      USE comgeomphy
       USE chemparam_mod
       IMPLICIT NONE
Index: trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/nirco2abs.F	(revision 1543)
@@ -3,5 +3,5 @@
 
        use dimphy
-       use comgeomphy, only: rlatd, rlond      
+       use geometry_mod, only: longitude, latitude
        use chemparam_mod, only: i_co2, i_o
 c       use compo_hedin83_mod2 
@@ -236,5 +236,5 @@
             zday_int = (n-1)/float(nstep)
 
-            CALL zenang(0.,zday_int,RDAY/nstep,rlatd,rlond,
+            CALL zenang(0.,zday_int,RDAY/nstep,latitude,longitude,
      s             mu0_int,fract_int)
 
Index: trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyetat0.F90	(revision 1543)
@@ -13,5 +13,5 @@
       USE iostart
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      use geometry_mod, only: longitude, latitude
       USE time_phylmdz_mod, only: itau_phy, raz_date
 
@@ -65,5 +65,5 @@
 
 ! read latitudes
-call get_field("latitude",rlatd,found)
+call get_field("latitude",latitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <latitude> est absent'
@@ -72,5 +72,5 @@
 
 ! read longitudes
-call get_field("longitude",rlond,found)
+call get_field("longitude",longitude,found)
       IF (.not.found) THEN
          PRINT*, 'phyetat0: Le champ <longitude> est absent'
@@ -344,5 +344,5 @@
 
 ! do some more initializations
-call init_iophy_new(rlatd,rlond)
+call init_iophy_new(latitude,longitude)
 
 end subroutine phyetat0
Index: trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1542)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phyredem.F90	(revision 1543)
@@ -12,5 +12,5 @@
                           put_var,put_field
       USE infotrac
-      USE comgeomphy,  only: rlatd,rlond
+      use geometry_mod, only: longitude, latitude
       USE time_phylmdz_mod, only: day_end, annee_ref, itau_phy, raz_date
 
@@ -62,7 +62,8 @@
 
       CALL put_field("longitude", &
-                     "Longitudes de la grille physique",rlond)
+                     "Longitudes de la grille physique",longitude)
      
-      CALL put_field("latitude","Latitudes de la grille physique",rlatd)
+      CALL put_field("latitude", &
+                     "Latitudes de la grille physique",latitude)
 
 ! variables
